Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063968 - augeas cannot parse default /etc/iproute2/rt_protos
Summary: augeas cannot parse default /etc/iproute2/rt_protos
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: augeas
Version: 7.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Dominic Cleal
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-11 17:27 UTC by Pat Riehecky
Modified: 2014-06-18 00:17 UTC (History)
7 users (show)

Fixed In Version: augeas-1.1.0-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:14:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pat Riehecky 2014-02-11 17:27:50 UTC
Description of problem:
Augeas failes to read the default /etc/iproute2/rt_protos

Version-Release number of selected component (if applicable):augeas-1.1.0-3.el7


How reproducible:100%


Steps to Reproduce:
1.install iproute-3.10.0-6.el7
2.echo 'print /augeas//error' | augtool
3.

Actual results:
/augeas/files/etc/iproute2/rt_protos/error = "parse_failed"
/augeas/files/etc/iproute2/rt_protos/error/pos = "176"
/augeas/files/etc/iproute2/rt_protos/error/line = "22"
/augeas/files/etc/iproute2/rt_protos/error/char = "0"
/augeas/files/etc/iproute2/rt_protos/error/lens = "/usr/share/augeas/lenses/dist/iproute2.aug:7.12-.47:"
/augeas/files/etc/iproute2/rt_protos/error/message = "Iterated lens matched less than it should"


Expected results:
no errors

Additional info:

Comment 2 Dominic Cleal 2014-02-12 10:33:49 UTC
This will require an incompatible change to the tree format to fix parsing, so I've e-mailed the original author to check if there are any issues with that.

https://www.redhat.com/archives/augeas-devel/2014-February/msg00002.html

Comment 4 Dominic Cleal 2014-02-12 14:42:50 UTC
Fixed upstream in bd6c783.

Comment 5 Lingfei Kong 2014-02-18 03:35:39 UTC
Can reproduce with augeas-1.1.0-9.el7

Steps to reproduce:
[host-a]#echo 'print /augeas//error' | augtool
/augeas/files/etc/iproute2/rt_protos/error = "parse_failed"
/augeas/files/etc/iproute2/rt_protos/error/pos = "176"
/augeas/files/etc/iproute2/rt_protos/error/line = "22"
/augeas/files/etc/iproute2/rt_protos/error/char = "0"
/augeas/files/etc/iproute2/rt_protos/error/lens = "/usr/share/augeas/lenses/dist/iproute2.aug:7.12-.47:"
/augeas/files/etc/iproute2/rt_protos/error/message = "Iterated lens matched less than it should"

Comment 7 Lingfei Kong 2014-02-19 07:02:30 UTC
Verify with augeas-1.1.0-10.el7



[host-a]#echo 'print /augeas//error'|augtool


No output like:
/augeas/files/etc/iproute2/rt_protos/error = "parse_failed"
/augeas/files/etc/iproute2/rt_protos/error/pos = "176"
/augeas/files/etc/iproute2/rt_protos/error/line = "22"
/augeas/files/etc/iproute2/rt_protos/error/char = "0"
/augeas/files/etc/iproute2/rt_protos/error/lens = "/usr/share/augeas/lenses/dist/iproute2.aug:7.12-.47:"
/augeas/files/etc/iproute2/rt_protos/error/message = "Iterated lens matched less than it should"


So, bug is fixed.

Comment 8 Ludek Smid 2014-06-13 12:14:29 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.